# Multiple Choice

1. A(n)________is a set of instructions that a computer follows to perform a task.

    * compiler
    * program
    * interpreter
    * programming language

2. The physical devices that a computer is made of are referred to as___________.

    * hardware
    * software
    * the operating system
    * tools

3. The part of a computer that runs programs is called_____________.

    * RAM
    * secondary storage
    * main memory
    * the CPU

4. Today, CPUs are small chips known as____________.

    * ENIACs
    * microprocessors
    * memory chips
    * operating systems

5. The computer stores a program while the program is running, as well as the data that the program is working with, in______.

    * secondary storage
    * the CPU
    * main memory
    * the microprocessor

6. This is a volatile type of memory that is used only for temporary storage while a program is running.

    * RAM
    * secondary storage
    * the disk drive
    * the USB drive

7. A type of memory that can hold data for long periods of time, even when there is no power to the computer, is called         .

    * RAM
    * main memory
    * secondary storage
    * CPU storage

8. A component that collects data from people or other devices and sends it to the computer is called         .

    * an output device
    * an input device
    * a secondary storage device
    * main memory

9. A video display is a(n)         .

    * output device
    * input device
    * secondary storage device
    * main memory

10. A___________-is enough memory to store a letter of the alphabet or a small number.

    * byte
    * bit
    * switch
    * transistor

11. A byte is made up of eight         .

    * CPUs
    * instructions
    * variables
    * bits

12. In a(n)___________numbering system, all numeric values are written as sequences of 0s and 1s.

    * hexadecimal
    * binary
    * octal
    * decimal

13. A bit that is turned off represents the following value:         .

    * 1
    * −1
    * 0
    * "no"

14. A set of 128 numeric codes that represent the English letters, various punctuation marks, and other characters is____________.

    * binary numbering
    * ASCII
    * Unicode
    * ENIAC

15. An extensive encoding scheme that can represent the characters of many of the languages in the world is_______________.

    * binary numbering
    * ASCII
    * Unicode
    * ENIAC

16. Negative numbers are encoded using the____________technique.

    * two's complement
    * floating-point
    * ASCII
    * Unicode

17. Real numbers are encoded using the____________technique.

    * two's complement
    * floating-point
    * ASCII
    * Unicode

18. The tiny dots of color that digital images are composed of are called_____________.

    * bits
    * bytes
    * color packets
    * pixels

19. If you were to look at a machine language program, you would see______________.

    * Java code
    * a stream of binary numbers
    * English words
    * circuits

20. In the_______________part of the fetch-decode-execute cycle, the CPU determines which operation it should perform.

    * fetch
    * decode
    * execute
    * immediately after the instruction is executed

21. Computers can only execute programs that are written in_____________.

    * Java
    * assembly language
    * machine language
    * C++

22. The____________translates an assembly language program to a machine language program.

    * assembler
    * compiler
    * translator
    * interpreter

23. The words that make up a high-level programming language are called___________.

    * binary instructions
    * mnemonics
    * commands
    * key words

24. The rules that must be followed when writing a program are called______________.

    * syntax
    * punctuation
    * key words
    * operators

25. A(n)_____________program translates a high-level language program into a separate machine language program.

    * assembler
    * compiler
    * translator
    * utility
